
Foreman - Feature #15924

Allow specifying scheduler hints to the openstack server upon creation

08/01/2016 03:38 AM - Elad Shmitanka

Status: Closed   

Priority: Normal   

Assignee: Elad Shmitanka   

Category: Compute resources - OpenStack   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3696

  

Description

Add capability to specify scheduler hints (http://docs.openstack.org/juno/config-reference/content/section_compute-scheduler.html)

There are many options, we will implement AffinityGroup and AntiAffinityGroup and also allow raw object

Related issues:

Related to Foreman - Bug #17012: Error creating OpenStack hosts causes schedu... Closed 10/19/2016

Related to Foreman - Bug #17171: Unable to edit host after it has been built ... Resolved 11/01/2016

Associated revisions

Revision 5e813fae - 08/08/2016 06:08 AM - elad 

Fixes #15924 - Implement server groups and scheduler hints

Revision dcd9e820 - 08/08/2016 06:10 AM - Dominic Cleal

refs #15924 - require fog-openstack 0.1.10

History

#1 - 08/01/2016 03:38 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3692 added

#2 - 08/01/2016 08:41 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3696 added

#3 - 08/08/2016 06:12 AM - Dominic Cleal

- translation missing: en.field_release set to 160

- Pull request deleted (https://github.com/theforeman/foreman/pull/3692)

#4 - 08/08/2016 07:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5e813fae61df8da9328b5cf49afc41e4ea9e4f61.

#5 - 10/19/2016 08:44 AM - Dominic Cleal

- Related to Bug #17012: Error creating OpenStack hosts causes scheduler_filter partial name is not valid identifier error added

#6 - 11/01/2016 11:37 AM - Dominic Cleal

- Related to Bug #17171: Unable to edit host after it has been built get undefined method `[]' for nil:NilClass added
